%define name 	prozgui
%define version	2.0.4beta
#%define buildversion static
%define release	2mdk
%define prefix	/usr

Summary: 	An GUI advanced Linux download manager
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Copyright: 	GNU
Group: 		Networking/File transfer
Source0: 	%{name}-%{version}.tar.bz2
Source1:   	%{name}16.xpm.bz2
Source2:   	%{name}32.xpm.bz2
Source3:   	%{name}48.xpm.bz2
Url: 		http://prozilla.delrom.ro/
BuildRoot: 	/var/tmp/%{name}-%{version}-root
Icon:		%{name}48.xpm
BuildRequires:	fltk-devel
Requires: 	fltk
Packager: 	Ralph Slooten <axllent@axllent.cjb.net>
Distribution:	Build for Mandrake 8.0

%description
This is the GUI version of Prozilla. It uses libprozilla and the the GUI is
created and designed with The Fast Light Tool Kit (fltk).

ProZilla is a download accellerator program written for Linux to speed up the
normal file download process. It often gives speed increases of around 200% to
300%. It supports both FTP and HTTP protocols, and the theory behind it is
very simple. The program opens multiple connections to several ftp servers
hosting the same file, and each of the connections downloads a part of the file,
thus defeating existing internet congestion prevention methods which slow down
a single connection based download.


%prep
rm -rf $RPM_BUILD_ROOT/%{name}-%{version}

%setup -n %{name}-%{version}
CFLAGS="$RPM_OPT_FLAGS -static" ./configure --prefix=%{prefix} --sysconfdir=/etc



%build
make

%install
make prefix=$RPM_BUILD_ROOT%{prefix} install


# Mandrake Menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
needs="x11" \
section="Networking/File transfer" \
title="ProzGUI" \
longtitle="ProzGUI" \
command="%{_bindir}/prozgui" \
icon="%{name}.xpm"
EOF

mkdir -p $RPM_BUILD_ROOT%{_miconsdir} $RPM_BUILD_ROOT%{_liconsdir} $RPM_BUILD_ROOT%{_iconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm


%post
%{update_menus}

%postun
%{clean_menus}


%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%{prefix}/bin/prozgui
%{prefix}/include/prozilla*
%{prefix}/lib/libprozilla*
%{prefix}/share/locale/*/LC_MESSAGES/*
%{prefix}/man/man1/prozgui*
%doc COPYING
%doc ChangeLog
%doc CREDITS*
%doc INSTALL
%doc README
%doc TODO
%doc docs/FAQ
%doc libprozilla/docs/HACKING
%{_iconsdir}/%{name}.*
%{_miconsdir}/%{name}.*
%{_liconsdir}/%{name}.*
%{_menudir}/*


%changelog
* Sun Sep 23 2001 Ralph Slooten <axllent@axllent.cjb.net>
- ProzGUI 2.0.4beta released
- GUI improvements
- FTP search
- Download from several servers

* Wed Aug 29 2001 Ralph Slooten <axllent@axllent.cjb.net>
- ProzGUI 2.0.2 released
- GUI improvements
- Man page included

* Thu Aug 23 2001 Ralph Slooten <axllent@axllent.cjb.net>
- ProzGUI 2.0.0 released!

* Wed Aug 01 2001 Ralph Slooten <axllent@axllent.cjb.net>
- RPM created for libprozilla / prozgui
- Created Mandrake Menu-entries

